Bug 705468 - Stop setting push.default = tracking in fedpkg
Summary: Stop setting push.default = tracking in fedpkg
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-05-17 18:32 UTC by Garrett Holmstrom
Modified: 2013-01-10 06:36 UTC (History)
3 users (show)

Fixed In Version: fedora-packager-0.5.9.2-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-10 13:31:41 UTC


Attachments (Terms of Use)

Description Garrett Holmstrom 2011-05-17 18:32:20 UTC
Description of problem:
Now that the package repos on the git server have branch names that match those of people's local repos [1], it is no longer necessary to set git's push.default option to "tracking" in order to keep people from getting confused.

Version-Release number of selected component (if applicable):
fedpkg-0.5.9.0-1.fc14.noarch

How reproducible:
Always

Steps to Reproduce:
1. fedpkg clone -a fedora-release
2. cd fedora-release
3. git config push.default
  
Actual results:
tracking

Expected results:
(no output, i.e., git's default behavior)

[1] https://fedoraproject.org/wiki/Dist_Git_Branch_Redux

Comment 1 Jesse Keating 2011-05-23 23:01:55 UTC
Committed the fix for this upstream.

Comment 2 Fedora Update System 2011-05-28 01:14:04 UTC
fedora-packager-0.5.9.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc15

Comment 3 Fedora Update System 2011-05-28 01:20:13 UTC
fedora-packager-0.5.9.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc14

Comment 4 Fedora Update System 2011-05-28 01:21:55 UTC
fedora-packager-0.5.9.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.fc13

Comment 5 Fedora Update System 2011-05-28 01:26:37 UTC
fedora-packager-0.5.9.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6

Comment 6 Fedora Update System 2011-05-28 01:28:17 UTC
fedora-packager-0.5.9.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el5

Comment 7 Fedora Update System 2011-05-28 21:32:22 UTC
Package fedora-packager-0.5.9.2-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing fedora-packager-0.5.9.2-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/fedora-packager-0.5.9.2-1.el6
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-06-10 13:31:08 UTC
fedora-packager-0.5.9.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2011-06-15 05:47:32 UTC
fedora-packager-0.5.9.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-15 05:52:40 UTC
fedora-packager-0.5.9.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-16 00:29:32 UTC
fedora-packager-0.5.9.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-16 00:32:35 UTC
fedora-packager-0.5.9.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.